Skip to main content
`Ctrl`+`K`

# scipy.linalg.lapack.dgejsv

scipy.linalg.lapack.dgejsv(a[, joba, jobu, jobv, jobr, jobt, jobp, lwork, overwrite_a]) = <fortran function dgejsv>

  Wrapper for `dgejsv`.

  Parameters:
    a input rank-2 array(‘d’) with bounds (lda,n)
  Returns:
    sva rank-1 array(‘d’) with bounds (n)
    u rank-2 array(‘d’) with bounds (((jobt == 0)&&(jobu == 3)?0:m),((jobt == 0)&&(jobu == 3)?0:(jobu == 1?m:n)))
    v rank-2 array(‘d’) with bounds (((jobt == 0)&&(jobv == 3)?0:ldv),((jobt == 0)&&(jobv == 3)?0:n))
    workout rank-1 array(‘d’) with bounds (7)
    iworkout rank-1 array(‘i’) with bounds (3)
    info int
  Other Parameters:
    joba input int, optional

      Default: 4

    jobu input int, optional

      Default: 0

    jobv input int, optional

      Default: 0

    jobr input int, optional

      Default: 1

    jobt input int, optional

      Default: 0

    jobp input int, optional

      Default: 1

    overwrite_a input int, optional

      Default: 0

    lwork input int, optional

      Default: max(6*n+2*n*n, max(2*m+n, max(4*n+n*n, max(2*n+n*n+6, 7))))